package restriction

import (
	"testing"

	"golang.org/x/net/context"
)

func TestMeiTuClient_QueryLocationByIP(t *testing.T) {
	response, err := new(MeiTuClient).QueryLocationByIP(context.Background(), "123.123.123.123")
	t.Log(response, err)
}

func TestCSDNClient_QueryLocationByIP(t *testing.T) {
	response, err := new(IP66Client).QueryLocationByIP(context.Background(), "123.123.123.123")
	t.Log(response, err)
}
